Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227412 - lspp: /root context isn't right on install
Summary: lspp: /root context isn't right on install
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-05 20:53 UTC by Linda Knippers
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-13 21:32:30 UTC


Attachments (Terms of Use)

Description Linda Knippers 2007-02-05 20:53:13 UTC
Description of problem:
After doing an installation using the lspp kickstart script, the
context on root's home directory isn't right.

Version-Release number of selected component (if applicable):
rhel5-rc1

How reproducible:
very.

Steps to Reproduce:
1.install using the lspp ks script (rev 0.18 in my case)
2.log in as root
3.do a restorecon -v /root and see it be relabeled.  
  
Actual results:
ls -ldZ /root shows
root:object_r:user_home_dir_t:SystemLow-SystemHigh
#restorecond -v /root
restorecon reset /root context
root:object_r:user_home_dir_t:s0-s15:c0.c1012->root:object_r:sysadm_home_dir:t:s0-s15:c0.c1023


Expected results:
I think /root should have been sysadm_home_dir_t all along.

Additional info:
The lspp kickstart script used to touch /.autorelabel but was recently changed
to not do that so that's probably why this didn't show up before.  Putting
the autorelabel back in would work around the problem.

Comment 1 Steve Grubb 2007-02-13 21:32:30 UTC
Closing based on discussion at LSPP telecon.


Note You need to log in before you can comment on or make changes to this bug.